automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: FYI: test for new bug


From: Tom Tromey
Subject: Patch: FYI: test for new bug
Date: 31 Jul 2001 11:07:27 -0600

This tests for a bug reported by Lars J. Aas.
I'm checking this in.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        * tests/Makefile.am (TESTS): Added cond13.test.
        (XFAIL_TESTS): Likewise.
        * tests/cond13.test: New file.

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.334
diff -u -r1.334 Makefile.am
--- tests/Makefile.am 2001/07/31 04:22:07 1.334
+++ tests/Makefile.am 2001/07/31 16:38:57
@@ -1,6 +1,6 @@
 ## Process this file with automake to create Makefile.in
 
-XFAIL_TESTS = subdir5.test auxdir2.test
+XFAIL_TESTS = subdir5.test auxdir2.test cond13.test
 
 TESTS =        \
 acinclude.test \
@@ -66,6 +66,7 @@
 cond10.test \
 cond11.test \
 cond12.test \
+cond13.test \
 condincl.test \
 condincl2.test \
 condlib.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.436
diff -u -r1.436 Makefile.in
--- tests/Makefile.in 2001/07/31 06:09:19 1.436
+++ tests/Makefile.in 2001/07/31 16:38:57
@@ -68,7 +68,7 @@
 am__quote = @am__quote@
 install_sh = @install_sh@
 
-XFAIL_TESTS = subdir5.test auxdir2.test
+XFAIL_TESTS = subdir5.test auxdir2.test cond13.test
 
 TESTS = \
 acinclude.test \
@@ -134,6 +134,7 @@
 cond10.test \
 cond11.test \
 cond12.test \
+cond13.test \
 condincl.test \
 condincl2.test \
 condlib.test \
Index: tests/cond13.test
===================================================================
RCS file: cond13.test
diff -N cond13.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/cond13.test Tue Jul 31 09:38:57 2001
@@ -0,0 +1,39 @@
+#! /bin/sh
+
+# Test for bug in conditionals.
+# Report from Lars J. Aas.
+
+. $srcdir/defs || exit 1
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_RANLIB
+AM_CONDITIONAL(COND1, true)
+AM_CONDITIONAL(COND2, true)
+END
+
+cat > Makefile.am << 'END'
+noinst_LIBRARIES = libtest.a
+
+if COND1
+SOURCEVAR1 = 
+SOURCEVAR2 = habla.cpp espanol.cpp
+else
+SOURCEVAR1 = dummy.cpp
+SOURCEVAR2 =
+endif
+
+if COND2
+TESTSOURCES = $(SOURCEVAR1)
+else
+TESTSOURCES = $(SOURCEVAR2)
+endif
+
+libtest_a_SOURCES = $(TESTSOURCES)
+END
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+
+grep 'am_libtest_a_OBJECTS = .*$' Makefile.in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]